Subject: Re: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Anders Lindgren <[email-masked]>
Date: Thu, 22 Oct 2015 22:04:08 +0200

Hi,

I doubt that my modification will change anything related to this.

However, I noticed that a number of NextStep callback functions start with
the following code sequence:

  if (!emacsframe->output_data.ns)
    return;

If `ns' is NULL it would account for the crash. I don't see why we can't
add it to the windowDidResize: method as well.

Finally a reservation, I'm still learning the NS code base and I don't know
under which circumstances the `ns' field is NULL.

    -- Anders

On Thu, Oct 22, 2015 at 8:14 PM, martin rudalics <[email-masked]> wrote:
>
> >        extra = FRAME_NS_TITLEBAR_HEIGHT (emacsframe)
> >          + FRAME_TOOLBAR_HEIGHT (emacsframe);
>
> Ahh, so this is Emacs 25.  Strange.  Rainer what do
>
> p emacsframe->output_data.ns->titlebar_height
>
> and
>
> p emacsframe->output_data.ns->toolbar_height
>
> give in frame#0 of the debugger?
>
> martin